#!/usr/bin/env cwl-runner

cwlVersion: v1.0

class: CommandLineTool

requirements:
  - class: InlineJavascriptRequirement
  - class: DockerRequirement
    dockerPull: registry.gitlab.com/uc-cdis/genomel-primary-analysis/harmonization_with_bwa:1.0
  - class: ShellCommandRequirement
  - class: MultipleInputFeatureRequirement

inputs:
  job_uuid: string
  new_header: File
  bam: File

stdout: $(inputs.job_uuid + '.reheadered.bam')
outputs:
  reheadered_bam:
    type: File
    outputBinding:
      glob: $(inputs.job_uuid + '.reheadered.bam')

  time_metrics:
    type: File
    outputBinding:
      glob: $(inputs.job_uuid + '.SamtoolsReheader' + '.time.json')

baseCommand: []
arguments:
  - shellQuote: False
    valueFrom: >-
      /usr/bin/time -f "{\\"real_time\\": \\"%E\\", \\"user_time\\": %U, \\"system_time\\": %S, \\"wall_clock\\": %e, \\"maximum_resident_set_size\\": %M, \\"average_total_mem\\": %K, \\"percent_of_cpu\\": \\"%P\\"}"
      -o $(inputs.job_uuid + '.SamtoolsReheader' + '.time.json')
      samtools reheader $(inputs.new_header.path) $(inputs.bam.path)
